package main

// Srcfile source file
type Srcfile struct {
	Filename string
	Filepath string
	Content  []byte
}

// Outfile is the output XML file
type Outfile struct {
	Content []byte
}

// FuelPricesConfig is the main configuration
type FuelPricesConfig struct {
	RemoteURL      string
	RemoteFilename string
	XPathBase      string
	Pos            []string
	Types          []string
	Table          string
	InfluxHost     string
	InfluxPort     int
	InfluxUser     string
	InfluxPass     string
	InfluxDB       string
}

// Price contains price of points of sale
type Price struct {
	ID     string
	Fuel   string
	Amount float64
}
